Subject: Re: Superposer deux noms d'accords

From: Christophe Pochon <[email-masked]>
Date: Thu, 1 Dec 2011 13:59:22 +0100

Tout de même, depuis quelques jours je lis vos échanges à ce sujet, et je
me demande bien à quelle(s) page(s) de quel(s) real book(s) on trouve ce
genre de superpositions....  25 ans que je suis pianiste de jazz, mais je
n'ai rencontré ça que très rarement, et je ne crois pas dans les real books
et encore moins dans les NEW real books.

Et une info quand même, si on veut coder B sur AM7 (es-tu sûr que c'est
bien ça, et pas B sur A7 ?), on n'est pas obligé de tout préciser : la
présence de la 13ème implique la 9ème et la 7ème. Il n'y a que la 11ème qui
doit être précisée. Donc, on obtient, AM13(#11) (ou A13(#11), si c'est B
sur A7). Et croyez-moi, un pianiste ou un guitariste de jazz qui voit ça,
n'a pas de souci pour le jouer ! De toute manière, un pianiste ne va jamais
jouer l'empilement total des deux accords en question. Il sait garder les
notes essentielles. Et un guitariste ? Ben il n'a que six cordes....
difficiles donc de faire les 7 notes demandées par la superposition !

A+

Christophe Pochon
http://www.christophe-pochon.com

Le 30 novembre 2011 19:42, Denis Bitouzé <[email-masked]> a écrit
:

> Le mercredi 30/11/11 à 18h37,
> "[email-masked]" <[email-masked]> a écrit :
>
> > Le voilà :
> >
> > #(define (bidouille grob)
> >   [...]
>
> Mais mais mais... c'est réellement cool, ça !
>
> Ce qu'il faudrait maintenant, c'est pouvoir rendre cela générique pour
> les cas où les accords sont autres que AM7 et B, et trouver un moyen de
> facilement pouvoir coder l'appel à cette méthode générique.
>
> Par exemple, dans le fichier de définitions d'accords de JeanPi, il y a
> ça :
>
> < c ees ges >   -\markup \super "dim."  % :dim
>
> (définition de l'accord de do diminué) mais transposable à tout autre
> accord. On peut ainsi coder un accord de mi diminué de la façon
> suivante :
>
> e:dim
>
> > Le \repeat unfold 40 ci-dessus est là pour vérifier que l'espacement
> > est bon.
>
> OK.
>
> > Il y a une partie de la doc qui traite l'automatisation de
> > l'appellation des accords complexes :
> >
> >
> http://lilypond.org/doc/v2.15/Documentation/notation/displaying-chords#index-chordNameExceptions-1
>
> Oui, j'avais déjà étudié ceci lorsque j'avais proposé quelques astuces
> pour le jazz (en janvier 2010 je crois), rapidement surpassées par le
> travail de JeanPi. Mais, sauf erreur de ma part, rien dans tout cela
> n'indique comment coder /deux/ accords simultanés.
>
> J'ai cependant l'impression qu'on brûle :)
>
> Merci !
>
> Cordialement.
> --
> Denis
>
> _______________________________________________
> liste de diffusion lilypond-user-fr
> [email-masked]
> https://lists.gnu.org/mailman/listinfo/lilypond-user-fr
>

---

From: Denis Bitouzé <[email-masked]>
Date: Thu, 1 Dec 2011 14:20:50 +0100

Le jeudi 01/12/11 à 13h59,
Christophe Pochon <[email-masked]> a écrit :

> Tout de même, depuis quelques jours je lis vos échanges à ce sujet,
> et je me demande bien à quelle(s) page(s) de quel(s) real book(s) on
> trouve ce genre de superpositions....  25 ans que je suis pianiste de
> jazz, mais je n'ai rencontré ça que très rarement, et je ne crois pas
> dans les real books et encore moins dans les NEW real books.
> 
> Et une info quand même, si on veut coder B sur AM7 (es-tu sûr que
> c'est bien ça, et pas B sur A7 ?), on n'est pas obligé de tout
> préciser : la présence de la 13ème implique la 9ème et la 7ème. Il
> n'y a que la 11ème qui doit être précisée. Donc, on obtient,
> AM13(#11) (ou A13(#11), si c'est B sur A7). Et croyez-moi, un
> pianiste ou un guitariste de jazz qui voit ça, n'a pas de souci pour
> le jouer ! De toute manière, un pianiste ne va jamais jouer
> l'empilement total des deux accords en question. Il sait garder les

J'entends bien et ce n'est pas moi, pauvre batteur à moitié ignare en
harmonie, qui vais te contredire ;)

Voici l'argument que m'a rétorqué mon copain pianiste lorsque je lui ai
au départ dit que, ne sachant comment superposer 2 accords sous
Lilypond, je me contenterai de mettre un seul accord enrichi (par
tâtonnement, j'étais arrivé à un accord AM7 add9 (#11,13) mais pas
taper !) :

  « [...] l'écriture de l'accord remplaçant la superposition de AM7 et
  de B est justement celle que j'avais utilisée au départ; je l'avais
  changée non pas forcément parce qu'elle était trop compliquée mais
  parce qu'elle suggérait plusieurs voicings différents qui ne
  sonnaient pas tous comme je voulais. La superposition n'implique elle
  qu'un seul voicing. »

Voilà, voilà...
-- 
Denis

---

From: Christophe Pochon <[email-masked]>
Date: Thu, 1 Dec 2011 15:08:32 +0100

Ok, alors à ma connaissance, quand le compositeur entend/veut un
renversement précis, la solution, c'est de l'écrire en notes sur la
partition (et on ajoute l'indication "Play as is", ou "As is", pour dire au
pianiste qu'il doit jouer exactement ça, sous peine de se faire expédier en
enfer par le compositeur). Parce que même avec la superposition, il y a
encore beaucoup de possibilités. Rien que le B en main droite peut déjà
être joué avec trois renversements différents, si tu combines ça avec les
quatre renversements possibles pour le AM7 en main gauche, ça fait beaucoup
de combinaisons possibles, alors qu'il n'y en a qu'une qui convient au
compositeur.

A+

Christophe Pochon

---

From: Denis Bitouzé <[email-masked]>
Date: Thu, 1 Dec 2011 15:32:30 +0100

Le jeudi 01/12/11 à 15h08,
Christophe Pochon <[email-masked]> a écrit :

> partition (et on ajoute l'indication "Play as is", ou "As is", pour
> dire au pianiste qu'il doit jouer exactement ça, sous peine de se
> faire expédier en enfer par le compositeur).

N'y a-t-il pas collision avec les notes du thème ?

> Parce que même avec la superposition, il y a encore beaucoup de
> possibilités. Rien que le B en main droite peut déjà être joué avec
> trois renversements différents, si tu combines ça avec les quatre
> renversements possibles pour le AM7 en main gauche, ça fait beaucoup
> de combinaisons possibles, alors qu'il n'y en a qu'une qui convient
> au compositeur.

Effectivement, je vais en faire part à qui de droit ! :)
-- 
Denis